aapt- все статьи тега


app: ошибка mergeDebugResources в Android Studio после обновления

Я получаю ошибку при сборке / выполнении проекта Android Studio. Ошибка: : app: mergeDebugResources FAILED ошибка: не удалось выполнить задачу ": приложение: mergeDebugResources". Некоторые файлы хрустели неудачно, смотрите журналы для получения подробной информации Я прошел через пост на SO и сделал следующие вещи, чтобы исправить это, но я все еще не в состоянии избавиться от ошибок. Чистый Проект. Аннулируйте и перезапустите Android Studio. Я обновил версию Gradl ...

"aapt" IOException error=2, нет такого файла или каталога" почему я не могу построить свой gradle на jenkins?

у меня есть небольшая проблема. Проблема: Я пытаюсь построить gradle моего проекта Android на Дженкинсе, и теперь я стою на этой проблеме, которую я не могу решить. Во время строительства у меня есть это сообщение об ошибке: :Client:mergeDebugResources /var/lib/jenkins/workspace/LMA-Client/Client/build/exploded-aar/com.google.android.gms/play-services/3.1.59/res/drawable-hdpi/common_signin_btn_text_focus_light.9.png: Error: Cannot run program "/opt/android-sdk/build-tools/19.0.1/aapt": java. ...

Программно измените значение цветового ресурса, полученного из ответа API

допустим, в моем вызове API у меня есть параметр, который называется color. Можно ли редактировать или изменять существующий R.colors.color чтобы назначить цвет для API? пример: я делаю вызов моего API, и он возвращает green, теперь я хочу, чтобы загрузить мое приложение с т. е. (зеленый Toolbar, зеленый TextView цвет, etc.), это возможно? моей первой мыслью было: создать элемент на colors.xml под названием demo затем назначьте ему цвет по умолчанию, затем используйте это demo цвет везде, ...

Как заставить Android aapt и adb работать на 64-битной Ubuntu без ia32-libs (работает для версий 12, 13 и 14)

поскольку Ubuntu 13.10 больше не имеет ia32-libs, я не могу запустить свою среду разработки android на чистой установке 13.10. ошибка ~ / android-studio / sdk / build-tools/android-4.2.2 / aapt": error=2, нет такого файла или каталога этот файл существует и является исполняемым, но это 32-битный исполняемый файл. в предыдущих установках Я только что установил ia32-libs, чтобы исправить это, но это решение больше не работает для Ubuntu 13.10. У меня есть пробовал решения, предложенные askubun ...